Name:        ibm-plex-mono-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/IBMPlexMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 BlexMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Bold.ttf
install -Dm644 BlexMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-BoldItalic.ttf
install -Dm644 BlexMonoNerdFont-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-ExtraLight.ttf
install -Dm644 BlexMonoNerdFont-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-ExtraLightItalic.ttf
install -Dm644 BlexMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Italic.ttf
install -Dm644 BlexMonoNerdFont-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Light.ttf
install -Dm644 BlexMonoNerdFont-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-LightItalic.ttf
install -Dm644 BlexMonoNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Medium.ttf
install -Dm644 BlexMonoNerdFont-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-MediumItalic.ttf
install -Dm644 BlexMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Regular.ttf
install -Dm644 BlexMonoNerdFont-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-SemiBold.ttf
install -Dm644 BlexMonoNerdFont-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-SemiBoldItalic.ttf
install -Dm644 BlexMonoNerdFont-Text.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Text.ttf
install -Dm644 BlexMonoNerdFont-TextItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-TextItalic.ttf
install -Dm644 BlexMonoNerdFont-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Thin.ttf
install -Dm644 BlexMonoNerdFont-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFont-ThinItalic.ttf
install -Dm644 BlexMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Bold.ttf
install -Dm644 BlexMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-BoldItalic.ttf
install -Dm644 BlexMonoNerdFontMono-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-ExtraLight.ttf
install -Dm644 BlexMonoNerdFontMono-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-ExtraLightItalic.ttf
install -Dm644 BlexMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Italic.ttf
install -Dm644 BlexMonoNerdFontMono-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Light.ttf
install -Dm644 BlexMonoNerdFontMono-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-LightItalic.ttf
install -Dm644 BlexMonoNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Medium.ttf
install -Dm644 BlexMonoNerdFontMono-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-MediumItalic.ttf
install -Dm644 BlexMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Regular.ttf
install -Dm644 BlexMonoNerdFontMono-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-SemiBold.ttf
install -Dm644 BlexMonoNerdFontMono-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-SemiBoldItalic.ttf
install -Dm644 BlexMonoNerdFontMono-Text.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Text.ttf
install -Dm644 BlexMonoNerdFontMono-TextItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-TextItalic.ttf
install -Dm644 BlexMonoNerdFontMono-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Thin.ttf
install -Dm644 BlexMonoNerdFontMono-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-ThinItalic.ttf
install -Dm644 BlexMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Bold.ttf
install -Dm644 BlexMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 BlexMonoNerdFontPropo-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-ExtraLight.ttf
install -Dm644 BlexMonoNerdFontPropo-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-ExtraLightItalic.ttf
install -Dm644 BlexMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Italic.ttf
install -Dm644 BlexMonoNerdFontPropo-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Light.ttf
install -Dm644 BlexMonoNerdFontPropo-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-LightItalic.ttf
install -Dm644 BlexMonoNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Medium.ttf
install -Dm644 BlexMonoNerdFontPropo-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-MediumItalic.ttf
install -Dm644 BlexMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Regular.ttf
install -Dm644 BlexMonoNerdFontPropo-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-SemiBold.ttf
install -Dm644 BlexMonoNerdFontPropo-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-SemiBoldItalic.ttf
install -Dm644 BlexMonoNerdFontPropo-Text.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Text.ttf
install -Dm644 BlexMonoNerdFontPropo-TextItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-TextItalic.ttf
install -Dm644 BlexMonoNerdFontPropo-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Thin.ttf
install -Dm644 BlexMonoNerdFontPropo-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-ThinItalic.ttf

%files

%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-ExtraLight.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Light.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-LightItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-MediumItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-SemiBold.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Text.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-TextItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-Thin.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFont-ThinItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-ExtraLight.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Light.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-LightItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-MediumItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-SemiBold.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Text.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-TextItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-Thin.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontMono-ThinItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-ExtraLight.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Light.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-LightItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-MediumItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-SemiBold.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Text.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-TextItalic.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-Thin.ttf
%{_datadir}/fonts/%{name}/BlexMonoNerdFontPropo-ThinItalic.ttf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
